// placeholder for real language selection
$('.selectpicker').change(function(){
    lang_setting = $(this).val();
    language($(this).val());
    $.getJSON("./content/content.json", function(result){
        stuff = result;
        var new_row = document.getElementById("row_main")
        new_row.innerHTML = "";
        var arrayLength = stuff.length;
        for (var i = 0; i < arrayLength; i++) {
            addcontent(stuff[i]);
            //Do something
        }
        });

    // alert($(this).val());
})

var lang_setting = "2"

function language(lang){
    //Change the language settings of the general Elements
    
    // declare all the fields
    var rgc_about = document.getElementById("rgc_about")
    var rgc_group = document.getElementById("rgc_group")
    var rgc_contact = document.getElementById("rgc_contact")
    var rgc_introduction = document.getElementById("rgc_introduction")
    var rgc_introduction2 = document.getElementById("rgc_introduction2")
    var rgc_application = document.getElementById("rgc_application")
    var rgc_applicationdesc = document.getElementById("rgc_applicationdesc")
    var rgc_publication = document.getElementById("rgc_publication")
    var rgc_publicationdesc = document.getElementById("rgc_publicationdesc")
    var rgc_ourteam = document.getElementById("rgc_ourteam")
    var rgc_teamdesc = document.getElementById("rgc_teamdesc")
    var rgc_backtotop = document.getElementById("rgc_backtotop")
    if (lang == "1"){
        rgc_about.innerHTML = "About"
        rgc_group.innerHTML = "Details about our group to be inserted here... "
        rgc_contact.innerHTML = "Contact"
        // rgc_introduction.innerHTML =" (or Vote for new group name) <br>A research group introduction here ...."
        rgc_introduction2.innerHTML = "The research projects at HFT Stuttgart (University of Applied Sciences Stuttgart)."
        rgc_application.innerHTML = "<i class='fas fa-laptop-code'></i> Our Applications"
        rgc_applicationdesc.innerHTML = "Research Short Introduction ...."
        rgc_publication.innerHTML = "<i class='fas fa-book'></i> Our Publication"
        rgc_publicationdesc.innerHTML = "Our Publication ..."
        rgc_ourteam.innerHTML = "<i class='fas fa-user-friends'></i> Our amazing team"
        rgc_teamdesc.innerHTML = "Team Description ...."
        rgc_backtotop.innerHTML = "Back to top"
    } else if (lang == "2"){
        rgc_about.innerHTML = "About"
        rgc_group.innerHTML = "Details über unsere Gruppe... "
        rgc_contact.innerHTML = "Kontakt"
        // rgc_introduction.innerHTML =" (oder Stimme für einen Gruppennamen) <br>Eine Vorstellung der Forschungsgruppe folgt hier ...."
        rgc_introduction2.innerHTML = "Die Forschungsprojekte an der HFT Stuttgart (Hochschule für Technik Stuttgart)."
        rgc_application.innerHTML = "<i class='fas fa-laptop-code'></i> Unsere Anwendungen"
        rgc_applicationdesc.innerHTML = "Forschung Kurzvorstellung ...."
        rgc_publication.innerHTML = "<i class='fas fa-book'></i> Unsere Veröffentlichungen"
        rgc_publicationdesc.innerHTML = "Unsere Veröffentlichungen ..."
        rgc_ourteam.innerHTML = "<i class='fas fa-user-friends'></i> Unser Team"
        rgc_teamdesc.innerHTML = "Team Beschreibung ...."
        rgc_backtotop.innerHTML = "Zurück an den Anfang"
    
    }
  }